> For the complete documentation index, see [llms.txt](https://docs.podplay.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.podplay.app/api/use-cases/use-case-create-a-1-hour-open-play-event.md).

# Use Case: Create a 1 hr Open Play

### Content

In this use case, you will:

1. Select an **area**
2. Select a **pod**
3. Select a **court (table)**
4. Retrieve available sessions in a 1-hour time window
5. Create a booking (event)
6. Verify the event was created successfully

By the end of this guide, you will have a **published 1-hour open play event** assigned to a specific court.

### Key Concepts

Before starting, understand these relationships:

1. **Area** → physical location grouping
2. **Pod** → group of courts inside an area
3. **Table (Court)** → individual playable surface
4. **Session** → bookable 30-minute time slot
5. **SessionTable** → a specific court within a specific session

Relationship hierarchy:

```
Area
 └── Pod
      └── Table (Court)

Pod
 └── Sessions (time-based)
      └── availableTables (SessionTable IDs)
```

### Important: 1 Hour = 2 Sessions

Each session last 30 minutes.

To create a 1-hour event, you must book 2 consecutive 30-minute sessions

### Flow Overview

<table><thead><tr><th width="133.00390625">Step</th><th>Purpose</th></tr></thead><tbody><tr><td>1</td><td>Get areas, pods and courts</td></tr><tr><td>2</td><td>Get sessions inside time window</td></tr><tr><td>3</td><td>Create booking</td></tr><tr><td>4</td><td>Verify event</td></tr></tbody></table>

### Outcome of This Section

You now understand:

* The system structure (area → pod → table)
* How sessions relate to pods
* Why sessionTable IDs are required for booking

In the next section, you will retrieve the list of areas, pods and courts to allow the user to choose where the event will take place.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.podplay.app/api/use-cases/use-case-create-a-1-hour-open-play-event.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
